ru.yandex.clickhouse.util

## Class ClickHouseLZ4OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - ru.yandex.clickhouse.util.ClickHouseLZ4OutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class ClickHouseLZ4OutputStream
    extends OutputStream

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseLZ4OutputStream(OutputStream stream, int maxCompressBlockSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush()`
`int` `position()`
`void` `write(int b)`

### Methods inherited from class java.io.OutputStream

`close, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseLZ4OutputStream

    public ClickHouseLZ4OutputStream(OutputStream stream,
                                     int maxCompressBlockSize)

### Method Detail

#### position

    public int position()

Returns:
  Location of pointer in the byte buffer (bytes not yet flushed)

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`